No need to run Bundler if version hasn't changed

No need to run Bundler if version hasn’t changed

diff --git a/entrypoint.sh b/entrypoint.sh
index 4a6fe39..8afbb81 100755
--- a/entrypoint.sh
+++ b/entrypoint.sh
@@ -13,10 +13,6 @@ EOF
 chmod 0600 ~/.gem/credentials
 set -x
 
-echo "Installing dependencies..."
-gem update bundler
-bundle install
-
 gem_version=$(ruby -r rubygems -e "puts Gem::Specification::load('$(ls *.gemspec)').version")
 
 if git fetch origin "refs/tags/v$gem_version" >/dev/null 2>&1
@@ -26,6 +22,10 @@ else
   git config user.email ${GIT_EMAIL:-"automated@example.com"}
   git config user.name ${GIT_NAME:-"Automated Release"}
 
+  echo "Installing dependencies..."
+  gem update bundler
+  bundle install
+
   echo "Running gem release task..."
   release_command="${RELEASE_COMMAND:-rake release}"
   exec $release_command

GitHub sha: 29b457653f211ac7d233c6d0cbf75bc416516e58

This commit appears in #2 which was approved by davidtaylorhq. It was merged by CvX.